Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.contact
Class ListContacts

    java.lang.Object
      |
      +--com.compoze.contact.Contacts
            |
            +--com.compoze.contact.ListContacts

All Implemented Interfaces:
  com.compoze.common.IPagination, java.io.Serializable

public class ListContacts
extends Contacts
implements java.io.Serializable

This class represents a collection of contacts associated with a distribution list. The contacts collection may be used to iterate through contacts.

In addition to the functions of the parent class `Contacts`, this class may also be used to associate contacts with a list using `associate(long)` and `associate(long[])`. Using `add()` will add a new contact to this collection.

See Also:
  Serialized Form

Fields inherited from class com.compoze.contact.Contacts
`m_distList, m_session`

Method Summary
`Contact` | `add()` Adds a new contact to the collection and associates the new contact with the list.
`void` | `associate(long lContactID)` Associates a contact with the list.
`void` | `associate(long[] contactIDs)` Associates multiple contacts with the list.
`DistributionList` | `getDistributionList()` Gets the distribution list this contacts collection is associated with.
`void` | `remove(long lContactID)` Removes all contacts from the contact collection for this list.
`void` | `remove(long[] contactIDs)` Removes all contacts from the contact collection for this list.
`void` | `removeAll()` Removes all contacts from the contact collection for this list.

Methods inherited from class com.compoze.contact.Contacts
`batchAdd, clearFilter, clearSort, contacts, contacts, contacts, deleteContacts, deleteContacts, getContact, getCount, getCurrentPageNumber, getFilter, getNextPageNumber, getPageCount, getPageSize, getPreviousPageNumber, getShowingFrom, getShowingTo, getSort, getSortProperties, getSortProperty, isFirstPage, isLastPage, setFilter, setPageSize, sort, sort, subList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### add

    public Contact add()
                throws java.security.AccessControlException

  Adds a new contact to the collection and associates the new contact with the list.
  Overrides:
    `add` in class `Contacts`
  Returns:
    the new contact or `null` if create fails

### associate

    public void associate(long lContactID)
                   throws java.security.AccessControlException

  Associates a contact with the list. The contact is specified by the contact id.
  Parameters:
    `lContactID` - the contact id to associate with the list
  Throws:
    `java.security.AccessControlException` - occurs if the authenticated user cannot associate contacts with the list

### associate

    public void associate(long[] contactIDs)
                   throws java.security.AccessControlException

  Associates multiple contacts with the list. The contacts are specified by the contact ids.
  Parameters:
    `contactIDs` - an array of contact ids to associate with the list
  Throws:
    `java.security.AccessControlException` - occurs if the authenticated user cannot associate contacts with the list

### getDistributionList

    public DistributionList getDistributionList()

  Gets the distribution list this contacts collection is associated with.
  Returns:
    the distribution list

### removeAll

    public void removeAll()
                   throws java.security.AccessControlException

  Removes all contacts from the contact collection for this list.
  Throws:
    `java.security.AccessControlException` - occurs if the authenticated user cannot remove contacts from the list

### remove

    public void remove(long lContactID)
                throws java.security.AccessControlException

  Removes all contacts from the contact collection for this list.
  Parameters:
    `lContactID` - the contact id of the contact to remove
  Throws:
    `java.security.AccessControlException` - occurs if the authenticated user cannot remove contacts from the list

### remove

    public void remove(long[] contactIDs)
                throws java.security.AccessControlException

  Removes all contacts from the contact collection for this list.
  Parameters:
    `contactIDs` - an array of contact ids of the contacts to remove
  Throws:
    `java.security.AccessControlException` - occurs if the authenticated user cannot remove contacts from the list

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.